| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
Ogre::PrefabFactory Class Reference
Core » Resources

A factory class that can create various mesh prefabs. More...

`#include <OgrePrefabFactory.h>`

## Static Public Member Functions
static bool | createPrefab (Mesh *mesh)
| If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh. More...

## Detailed Description

A factory class that can create various mesh prefabs.

Remarks
  This class is used by OgreMeshManager to offload the loading of various prefab types to a central location.

## Member Function Documentation

## ◆ createPrefab()

static bool Ogre::PrefabFactory::createPrefab | ( | Mesh * | mesh | ) |
| static

If the given mesh has a known prefab resource name (e.g "Prefab_Plane") then this prefab will be created as a submesh of the given mesh.

Parameters

  mesh | The mesh that the potential prefab will be created in.

Returns
  true if a prefab has been created, otherwise false.

The documentation for this class was generated from the following file:

- OgrePrefabFactory.h